mp3splt-gtk

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
options_manager.c File Reference
`#include "options_manager.h"`

Go to the source code of this file.

## Functions
void | put_options_from_preferences (ui_state *ui)
void | put_tags_from_filename_regex_options (ui_state *ui)
void | update_output_options (ui_state *ui)

## Detailed Description

Get the current state of all GUI buttons

The code contained in this file reads out the current state of all GUI buttons and saves it into the structure ui->mp3splt_state.

Definition in file options_manager.c.

## Function Documentation

void put_options_from_preferences | ( | ui_state * | ui | ) |

Update the ui->mp3splt_state structure.

Updates the ui->mp3splt_state structure by reading out the state of the GUI controls. The only exception is that all options that are directly connected to audio output have been split into a separate function: update_output_options(ui)

Definition at line 76 of file options_manager.c.

References get_checked_tags_version_radio_box().

void update_output_options | ( | ui_state * | ui | ) |

Update the output options.

Update the output options in ui->mp3splt_state by reading out the state of the GUI controls.

All other options are read out in put_options_from_preferences()

Definition at line 50 of file options_manager.c.

References get_checked_output_radio_box(), get_input_filename(), and print_status_bar_confirmation().